org.apache.ignite.internal.processors.hadoop

## Class HadoopTask

- java.lang.Object
- - org.apache.ignite.internal.processors.hadoop.HadoopTask

    public abstract class HadoopTask
    extends Object

Hadoop task.

### Constructor Summary

Constructors
`` `HadoopTask()` For `Externalizable`.
`protected` `HadoopTask(HadoopTaskInfo taskInfo)` Creates task.

### Method Summary

Methods
`abstract void` `cancel()` Interrupts task execution.
`HadoopTaskInfo` `info()` Gets task info.
`abstract void` `run(HadoopTaskContext taskCtx)` Runs task.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HadoopTask

    protected HadoopTask(HadoopTaskInfo taskInfo)

Creates task.

Parameters:
  `taskInfo` - Task info.

#### HadoopTask

    public HadoopTask()

For `Externalizable`.

### Method Detail

#### info

    public HadoopTaskInfo info()

Gets task info.

Returns:
  Task info.

#### run

    public abstract void run(HadoopTaskContext taskCtx)
                      throws IgniteCheckedException

Runs task.

Parameters:
  `taskCtx` - Context.
Throws:
  `IgniteInterruptedCheckedException` - If interrupted.
  `IgniteCheckedException` - If failed.

#### cancel

    public abstract void cancel()

Interrupts task execution.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015